Page MenuHomePhabricator

Special:Notifications doesn't use actual headers for headers in its list
Closed, ResolvedPublic

Description

The page features visual headers, per date, but these headers are not semantic headers. These elements should use a semantic element.

<div class="mw-echo-ui-subGroupListWidget-header">
  <div class="mw-echo-ui-subGroupListWidget-header-row">
    <span class="mw-echo-ui-subGroupListWidget-header-row-title oo-ui-widget oo-ui-widget-enabled oo-ui-labelElement-label oo-ui-labelWidget oo-ui-labelElement" aria-disabled="false">
      <span class="mw-echo-ui-datedSubGroupListWidget-title">
        <span class="mw-echo-ui-datedSubGroupListWidget-title-primary">27 October 2016</span>
        <span class="mw-echo-ui-datedSubGroupListWidget-title-secondary"></span>
      </span>
    </span>
    <div class="mw-echo-ui-subGroupListWidget-header-row-markAllReadButton oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-iconElement oo-ui-labelElement oo-ui-buttonWidget oo-ui-element-hidden" aria-disabled="false">
      <a class="oo-ui-buttonElement-button" role="button" tabindex="0" aria-disabled="false" rel="nofollow">
        <span class="oo-ui-iconElement-icon oo-ui-icon-doubleCheck"></span>
        <span class="oo-ui-labelElement-label">Mark group as read</span>
        <span class="oo-ui-indicatorElement-indicator"></span>
      </a>
    </div>
  </div>
</div>

Event Timeline

TheDJ created this task.Nov 3 2016, 9:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2016, 9:29 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 4 2016, 10:41 AM
TheDJ updated the task description. (Show Details)Nov 7 2016, 8:45 AM
Ricordisamoa renamed this task from Special:Notifications doesn't use actual headers for headers in it's list to Special:Notifications doesn't use actual headers for headers in its list.Mar 6 2017, 1:10 AM

Change 348015 had a related patch set uploaded (by Mooeypoo):
[mediawiki/extensions/Echo@master] Make date headings a proper semantic <h2> heading

https://gerrit.wikimedia.org/r/348015

Change 348015 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Make date headings a proper semantic <h2> heading

https://gerrit.wikimedia.org/r/348015

Checked in betalabs - <h2 class="mw-echo-ui-datedSubGroupListWidget-title"> is in place:

<div class="mw-echo-ui-subGroupListWidget-header">
   <div class="mw-echo-ui-subGroupListWidget-header-row">
     <label class="mw-echo-ui-subGroupListWidget-header-row-title oo-ui-widget oo-ui-widget-enabled oo-ui-labelElement-label oo-ui-labelWidget oo-ui-labelElement" aria-disabled="false">
     <h2 class="mw-echo-ui-datedSubGroupListWidget-title">
       <span class="mw-echo-ui-datedSubGroupListWidget-title-primary">Today</span>
       <span class="mw-echo-ui-datedSubGroupListWidget-title-secondary">19 April 2017</span>
     </h2>
     </label>
    <span class="mw-echo-ui-subGroupListWidget-header-row-markAllReadButton oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-iconElement oo-ui-labelElement oo-ui-buttonWidget" aria-disabled="false">
           <a class="oo-ui-buttonElement-button" role="button" tabindex="0" aria-disabled="false" rel="nofollow">
               <span class="oo-ui-iconElement-icon oo-ui-icon-doubleCheck"></span>
               <span class="oo-ui-labelElement-label">Mark group as read</span>
               <span class="oo-ui-indicatorElement-indicator"></span>
           </a>
    </span>
   </div>
</div>
Catrope closed this task as Resolved.May 4 2017, 12:11 AM